Howto upgrade or update from Centos 5.x or 5.8 to Centos 5.9

Howto upgrade or update from Centos 5.x or 5.8 to Centos 5.9

1. Check Linux current version

[root@localhost ~]# cat /etc/redhat-release
CentOS release 5.8 (Final)
[root@localhost ~]#

2. Update Centos 5.8 to Centos 5.9 by yum

[root@localhost ~]# yum update
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
* base: mirror.vietoss.com
* extras: mirror.vietoss.com
* updates: mirror-fpt-telecom.fpt.net
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
–> Running transaction check
—> Package OpenIPMI.x86_64 0:2.0.16-16.el5 set to be updated
—> Package OpenIPMI-libs.x86_64 0:2.0.16-16.el5 set to be updated
—> Package alsa-utils.x86_64 0:1.0.17-7.el5 set to be updated
—> Package aspell-en.x86_64 50:6.0-3 set to be updated
—> Package autofs.x86_64 1:5.0.1-0.rc2.177.el5 set to be updated
—> Package bind-libs.x86_64 30:9.3.6-20.P1.el5_8.6 set to be updated
—> Package bind-utils.x86_64 30:9.3.6-20.P1.el5_8.6 set to be updated
—> Package binutils.x86_64 0:2.17.50.0.6-20.el5_8.3 set to be updated
—> Package centos-release.x86_64 10:5-9.el5.centos.1 set to be updated
—> Package centos-release-notes.x86_64 0:5.9-0 set to be updated
—> Package coreutils.x86_64 0:5.97-34.el5_8.1 set to be updated
—> Package cpio.x86_64 0:2.6-25.el5 set to be updated
—> Package cpp.x86_64 0:4.1.2-54.el5 set to be updated
—> Package crash.x86_64 0:5.1.8-2.el5.centos set to be updated
—> Package crontabs.noarch 0:1.10-11.el5 set to be updated
—> Package cscope.x86_64 0:15.5-20.el5 set to be updated
—> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
—> Package cyrus-sasl.x86_64 0:2.1.22-7.el5_8.1 set to be updated
—> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
—> Package cyrus-sasl-lib.x86_64 0:2.1.22-7.el5_8.1 set to be updated
—> Package cyrus-sasl-md5.x86_64 0:2.1.22-7.el5_8.1 set to be updated
—> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
—> Package cyrus-sasl-plain.x86_64 0:2.1.22-7.el5_8.1 set to be updated
—> Package device-mapper-multipath.x86_64 0:0.4.7-54.el5_9.1 set to be updated
—> Package dhclient.x86_64 12:3.0.5-33.el5_9 set to be updated
—> Package diffutils.x86_64 0:2.8.1-16.el5 set to be updated
—> Package doxygen.x86_64 1:1.4.7-2 set to be updated
—> Package e2fsprogs.x86_64 0:1.39-35.el5 set to be updated
—> Package e2fsprogs-libs.i386 0:1.39-35.el5 set to be updated
—> Package e2fsprogs-libs.x86_64 0:1.39-35.el5 set to be updated
—> Package esc.x86_64 0:1.1.0-13.el5_8.2 set to be updated
—> Package expat.i386 0:1.95.8-11.el5_8 set to be updated
—> Package expat.x86_64 0:1.95.8-11.el5_8 set to be updated
—> Package file.x86_64 0:4.17-28 set to be updated
—> Package firefox.i386 0:10.0.12-1.el5.centos set to be updated
—> Package firefox.x86_64 0:10.0.12-1.el5.centos set to be updated
—> Package freetype.i386 0:2.2.1-32.el5_9.1 set to be updated
—> Package freetype.x86_64 0:2.2.1-32.el5_9.1 set to be updated
—> Package ftp.x86_64 0:0.17-38.el5 set to be updated
—> Package gawk.x86_64 0:3.1.5-16.el5 set to be updated
—> Package gcc.x86_64 0:4.1.2-54.el5 set to be updated
—> Package gcc-c++.x86_64 0:4.1.2-54.el5 set to be updated
—> Package gcc-gfortran.x86_64 0:4.1.2-54.el5 set to be updated
—> Package gdb.x86_64 0:7.0.1-45.el5.centos set to be updated
—> Package gdbm.x86_64 0:1.8.0-28.el5 set to be updated
—> Package ghostscript.x86_64 0:8.70-14.el5_8.1 set to be updated
—> Package glibc.i686 0:2.5-107 set to be updated
—> Package glibc.x86_64 0:2.5-107 set to be updated
—> Package glibc-common.x86_64 0:2.5-107 set to be updated
—> Package glibc-devel.x86_64 0:2.5-107 set to be updated
—> Package glibc-headers.x86_64 0:2.5-107 set to be updated
—> Package gnome-session.x86_64 0:2.16.0-10.el5 set to be updated
—> Package gnome-vfs2.i386 0:2.16.2-10.el5 set to be updated
—> Package gnome-vfs2.x86_64 0:2.16.2-10.el5 set to be updated
—> Package gnome-vfs2-smb.x86_64 0:2.16.2-10.el5 set to be updated
—> Package gnutls.i386 0:1.4.1-10.el5 set to be updated
—> Package gnutls.x86_64 0:1.4.1-10.el5 set to be updated
—> Package grub.x86_64 0:0.97-13.10.el5 set to be updated
—> Package gtk2.i386 0:2.10.4-29.el5 set to be updated
—> Package gtk2.x86_64 0:2.10.4-29.el5 set to be updated
—> Package hal.i386 0:0.5.8.1-64.el5 set to be updated
—> Package hal.x86_64 0:0.5.8.1-64.el5 set to be updated
—> Package httpd.x86_64 0:2.2.3-76.el5.centos set to be updated
—> Package hwdata.noarch 0:0.213.28-1.el5 set to be updated
—> Package initscripts.x86_64 0:8.45.42-1.el5.centos.1 set to be updated
—> Package iproute.x86_64 0:2.6.18-15.el5 set to be updated
—> Package ipsec-tools.x86_64 0:0.6.5-14.el5_8.5 set to be updated
—> Package iptables.x86_64 0:1.3.5-9.2.el5_8 set to be updated
—> Package iptables-ipv6.x86_64 0:1.3.5-9.2.el5_8 set to be updated
—> Package iscsi-initiator-utils.x86_64 0:6.2.0.872-16.el5 set to be updated
—> Package kbd.x86_64 0:1.12-22.el5 set to be updated
—> Package kernel.x86_64 0:2.6.18-348.1.1.el5 set to be installed
—> Package kernel-devel.x86_64 0:2.6.18-348.1.1.el5 set to be installed
—> Package kernel-headers.x86_64 0:2.6.18-348.1.1.el5 set to be updated
—> Package kpartx.x86_64 0:0.4.7-54.el5_9.1 set to be updated
—> Package ksh.x86_64 0:20100621-12.el5 set to be updated
—> Package kudzu.x86_64 0:1.2.57.1.26-7.el5.centos set to be updated
—> Package lftp.x86_64 0:3.7.11-8.el5 set to be updated
—> Package libexif.x86_64 0:0.6.21-1.el5_8 set to be updated
—> Package libgcc.i386 0:4.1.2-54.el5 set to be updated
—> Package libgcc.x86_64 0:4.1.2-54.el5 set to be updated
—> Package libgcrypt.i386 0:1.4.4-5.el5_8.2 set to be updated
—> Package libgcrypt.x86_64 0:1.4.4-5.el5_8.2 set to be updated
—> Package libgfortran.x86_64 0:4.1.2-54.el5 set to be updated
—> Package libgomp.i386 0:4.4.7-1.el5 set to be updated
—> Package libgomp.x86_64 0:4.4.7-1.el5 set to be updated
—> Package libpng.i386 2:1.2.10-17.el5_8 set to be updated
—> Package libpng.x86_64 2:1.2.10-17.el5_8 set to be updated
—> Package libpurple.i386 0:2.6.6-11.el5.4 set to be updated
—> Package libpurple.x86_64 0:2.6.6-11.el5.4 set to be updated
—> Package libsmbclient.x86_64 0:3.0.33-3.39.el5_8 set to be updated
—> Package libstdc++.i386 0:4.1.2-54.el5 set to be updated
—> Package libstdc++.x86_64 0:4.1.2-54.el5 set to be updated
—> Package libstdc++-devel.x86_64 0:4.1.2-54.el5 set to be updated
—> Package libtiff.i386 0:3.8.2-18.el5_8 set to be updated
—> Package libtiff.x86_64 0:3.8.2-18.el5_8 set to be updated
—> Package libuser.x86_64 0:0.54.7-3.el5 set to be updated
—> Package libvolume_id.i386 0:095-14.29.el5 set to be updated
—> Package libvolume_id.x86_64 0:095-14.29.el5 set to be updated
—> Package libvorbis.i386 1:1.1.2-3.el5_7.6 set to be updated
—> Package libvorbis.x86_64 1:1.1.2-3.el5_7.6 set to be updated
—> Package libxml2.i386 0:2.6.26-2.1.15.el5_8.6 set to be updated
—> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.6 set to be updated
—> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.6 set to be updated
—> Package libxslt.x86_64 0:1.1.17-4.el5_8.3 set to be updated
—> Package linuxwacom.x86_64 0:0.7.8.3-11.2.el5_8 set to be updated
—> Package logrotate.x86_64 0:3.7.4-14 set to be updated
—> Package logwatch.noarch 0:7.3-10.el5 set to be updated
—> Package lvm2.x86_64 0:2.02.88-10.el5 set to be updated
—> Package m2crypto.x86_64 0:0.16-9.el5 set to be updated
—> Package man.x86_64 0:1.6d-3.el5 set to be updated
—> Package man-pages-overrides.noarch 0:5.9.2-2.el5 set to be updated
—> Package mdadm.x86_64 0:2.6.9-5.el5 set to be updated
—> Package microcode_ctl.x86_64 2:1.17-3.el5 set to be updated
—> Package mkinitrd.i386 0:5.1.19.6-79.el5 set to be updated
—> Package mkinitrd.x86_64 0:5.1.19.6-79.el5 set to be updated
—> Package mozldap.x86_64 0:6.0.5-2.el5 set to be updated
—> Package nash.x86_64 0:5.1.19.6-79.el5 set to be updated
—> Package net-snmp-libs.x86_64 1:5.3.2.2-20.el5 set to be updated
—> Package nfs-utils.x86_64 1:1.0.9-66.el5 set to be updated
—> Package nscd.x86_64 0:2.5-107 set to be updated
—> Package nspr.i386 0:4.9.2-2.el5_9 set to be updated
—> Package nspr.x86_64 0:4.9.2-2.el5_9 set to be updated
—> Package nss.i386 0:3.13.6-3.el5_9 set to be updated
—> Package nss.x86_64 0:3.13.6-3.el5_9 set to be updated
—> Package nss-tools.x86_64 0:3.13.6-3.el5_9 set to be updated
—> Package nss_ldap.i386 0:253-51.el5_9.1 set to be updated
—> Package nss_ldap.x86_64 0:253-51.el5_9.1 set to be updated
—> Package openldap.i386 0:2.3.43-25.el5_8.1 set to be updated
—> Package openldap.x86_64 0:2.3.43-25.el5_8.1 set to be updated
—> Package openssl.i686 0:0.9.8e-22.el5_8.4 set to be updated
—> Package openssl.x86_64 0:0.9.8e-22.el5_8.4 set to be updated
—> Package pam.i386 0:0.99.6.2-12.el5 set to be updated
—> Package pam.x86_64 0:0.99.6.2-12.el5 set to be updated
—> Package parted.i386 0:1.8.1-30.el5 set to be updated
—> Package parted.x86_64 0:1.8.1-30.el5 set to be updated
—> Package perl.x86_64 4:5.8.8-38.el5_8 set to be updated
—> Package pidgin.i386 0:2.6.6-11.el5.4 set to be updated
—> Package pidgin.x86_64 0:2.6.6-11.el5.4 set to be updated
—> Package pirut.noarch 0:1.3.28-20.el5.centos set to be updated
—> Package pm-utils.x86_64 0:0.99.3-14.el5 set to be updated
—> Package popt.i386 0:1.10.2.3-31.el5 set to be updated
—> Package popt.x86_64 0:1.10.2.3-31.el5 set to be updated
—> Package postgresql-libs.i386 0:8.1.23-6.el5_8 set to be updated
—> Package postgresql-libs.x86_64 0:8.1.23-6.el5_8 set to be updated
—> Package procps.x86_64 0:3.2.7-22.el5 set to be updated
—> Package psmisc.x86_64 0:22.2-11 set to be updated
—> Package python.x86_64 0:2.4.3-56.el5 set to be updated
—> Package python-iniparse.noarch 0:0.2.3-6.el5 set to be updated
—> Package python-libs.x86_64 0:2.4.3-56.el5 set to be updated
—> Package quota.x86_64 1:3.13-8.el5 set to be updated
—> Package rp-pppoe.x86_64 0:3.5-33.el5 set to be updated
—> Package rpm.x86_64 0:4.4.2.3-31.el5 set to be updated
—> Package rpm-build.x86_64 0:4.4.2.3-31.el5 set to be updated
—> Package rpm-libs.x86_64 0:4.4.2.3-31.el5 set to be updated
—> Package rpm-python.x86_64 0:4.4.2.3-31.el5 set to be updated
—> Package selinux-policy.noarch 0:2.4.6-338.el5 set to be updated
—> Package selinux-policy-devel.noarch 0:2.4.6-338.el5 set to be updated
—> Package selinux-policy-targeted.noarch 0:2.4.6-338.el5 set to be updated
—> Package shadow-utils.x86_64 2:4.0.17-21.el5 set to be updated
—> Package smartmontools.x86_64 1:5.42-2.el5 set to be updated
—> Package specspo.noarch 0:13-4.el5.centos set to be updated
—> Package sqlite.i386 0:3.3.6-6 set to be updated
—> Package sqlite.x86_64 0:3.3.6-6 set to be updated
—> Package strace.x86_64 0:4.5.18-18.el5 set to be updated
—> Package subversion.i386 0:1.6.11-10.el5_8 set to be updated
—> Package subversion.x86_64 0:1.6.11-10.el5_8 set to be updated
—> Package sudo.x86_64 0:1.7.2p1-22.el5 set to be updated
—> Package symlinks.x86_64 0:1.2-26.el5 set to be updated
—> Package syslinux.x86_64 0:4.02-7.2.el5 set to be updated
—> Package system-config-printer.x86_64 0:0.7.32.10-3.el5 set to be updated
—> Package system-config-printer-libs.x86_64 0:0.7.32.10-3.el5 set to be updated
—> Package systemtap.x86_64 0:1.8-6.el5 set to be updated
–> Processing Dependency: systemtap-client = 1.8-6.el5 for package: systemtap
–> Processing Dependency: systemtap-devel = 1.8-6.el5 for package: systemtap
—> Package systemtap-runtime.x86_64 0:1.8-6.el5 set to be updated
—> Package tar.x86_64 2:1.15.1-32.el5_8 set to be updated
—> Package tcl.x86_64 0:8.4.13-6.el5 set to be updated
—> Package telnet.x86_64 1:0.17-41.el5 set to be updated
—> Package tzdata.x86_64 0:2012j-1.el5 set to be updated
—> Package udev.x86_64 0:095-14.29.el5 set to be updated
—> Package util-linux.x86_64 0:2.13-0.59.el5_8 set to be updated
—> Package vim-minimal.x86_64 2:7.0.109-7.2.el5 set to be updated
—> Package wget.x86_64 0:1.11.4-3.el5_8.2 set to be updated
—> Package xorg-x11-server-Xnest.x86_64 0:1.1.1-48.100.el5 set to be updated
—> Package xorg-x11-server-Xorg.x86_64 0:1.1.1-48.100.el5 set to be updated
—> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.100.el5 set to be updated
—> Package xulrunner.i386 0:10.0.12-1.el5_9 set to be updated
—> Package xulrunner.x86_64 0:10.0.12-1.el5_9 set to be updated
—> Package yelp.x86_64 0:2.16.0-29.el5_8 set to be updated
—> Package yum.noarch 0:3.2.22-40.el5.centos set to be updated
—> Package yum-metadata-parser.x86_64 0:1.1.2-4.el5 set to be updated
—> Package yum-updatesd.noarch 1:0.9-5.el5 set to be updated
—> Package zlib.i386 0:1.2.3-7.el5 set to be updated
—> Package zlib.x86_64 0:1.2.3-7.el5 set to be updated
–> Running transaction check
—> Package systemtap-client.x86_64 0:1.8-6.el5 set to be updated
—> Package systemtap-devel.x86_64 0:1.8-6.el5 set to be updatedbase/filelists | 3.6 MB 00:17
extras/filelists_db | 227 kB 00:00
updates/filelists_db | 471 kB 00:00
–> Finished Dependency ResolutionDependencies Resolved

=====================================================================================================================================================================================================
Package Arch Version Repository Size
=====================================================================================================================================================================================================
Installing:
kernel x86_64 2.6.18-348.1.1.el5 updates 22 M
kernel-devel x86_64 2.6.18-348.1.1.el5 updates 5.8 M
Updating:
OpenIPMI x86_64 2.0.16-16.el5 base 163 k
OpenIPMI-libs x86_64 2.0.16-16.el5 base 572 k
alsa-utils x86_64 1.0.17-7.el5 base 2.3 M
aspell-en x86_64 50:6.0-3 base 1.5 M
autofs x86_64 1:5.0.1-0.rc2.177.el5 base 918 k
bind-libs x86_64 30:9.3.6-20.P1.el5_8.6 updates 898 k
bind-utils x86_64 30:9.3.6-20.P1.el5_8.6 updates 180 k
binutils x86_64 2.17.50.0.6-20.el5_8.3 base 2.9 M
centos-release x86_64 10:5-9.el5.centos.1 base 21 k
centos-release-notes x86_64 5.9-0 base 40 k
coreutils x86_64 5.97-34.el5_8.1 base 3.6 M
cpio x86_64 2.6-25.el5 base 123 k
cpp x86_64 4.1.2-54.el5 base 2.9 M
crash x86_64 5.1.8-2.el5.centos updates 2.3 M
crontabs noarch 1.10-11.el5 base 7.0 k
cscope x86_64 15.5-20.el5 base 144 k
cvs x86_64 1.11.22-11.el5_8.1 base 738 k
cyrus-sasl x86_64 2.1.22-7.el5_8.1 base 1.2 M
cyrus-sasl-lib i386 2.1.22-7.el5_8.1 base 126 k
cyrus-sasl-lib x86_64 2.1.22-7.el5_8.1 base 130 k
cyrus-sasl-md5 x86_64 2.1.22-7.el5_8.1 base 47 k
cyrus-sasl-plain i386 2.1.22-7.el5_8.1 base 27 k
cyrus-sasl-plain x86_64 2.1.22-7.el5_8.1 base 27 k
device-mapper-multipath x86_64 0.4.7-54.el5_9.1 updates 3.0 M
dhclient x86_64 12:3.0.5-33.el5_9 updates 287 k
diffutils x86_64 2.8.1-16.el5 base 212 k
doxygen x86_64 1:1.4.7-2 base 2.4 M
e2fsprogs x86_64 1.39-35.el5 base 845 k
e2fsprogs-libs i386 1.39-35.el5 base 120 k
e2fsprogs-libs x86_64 1.39-35.el5 base 120 k
esc x86_64 1.1.0-13.el5_8.2 base 499 k
expat i386 1.95.8-11.el5_8 base 78 k
expat x86_64 1.95.8-11.el5_8 base 77 k
file x86_64 4.17-28 base 321 k
firefox i386 10.0.12-1.el5.centos updates 20 M
firefox x86_64 10.0.12-1.el5.centos updates 20 M
freetype i386 2.2.1-32.el5_9.1 updates 313 k
freetype x86_64 2.2.1-32.el5_9.1 updates 312 k
ftp x86_64 0.17-38.el5 base 57 k
gawk x86_64 3.1.5-16.el5 base 1.8 M
gcc x86_64 4.1.2-54.el5 base 5.3 M
gcc-c++ x86_64 4.1.2-54.el5 base 3.8 M
gcc-gfortran x86_64 4.1.2-54.el5 base 3.5 M
gdb x86_64 7.0.1-45.el5.centos base 2.4 M
gdbm x86_64 1.8.0-28.el5 base 28 k
ghostscript x86_64 8.70-14.el5_8.1 base 8.9 M
glibc i686 2.5-107 base 5.4 M
glibc x86_64 2.5-107 base 4.8 M
glibc-common x86_64 2.5-107 base 16 M
glibc-devel x86_64 2.5-107 base 2.4 M
glibc-headers x86_64 2.5-107 base 600 k
gnome-session x86_64 2.16.0-10.el5 base 414 k
gnome-vfs2 i386 2.16.2-10.el5 base 1.2 M
gnome-vfs2 x86_64 2.16.2-10.el5 base 1.3 M
gnome-vfs2-smb x86_64 2.16.2-10.el5 base 38 k
gnutls i386 1.4.1-10.el5 base 351 k
gnutls x86_64 1.4.1-10.el5 base 365 k
grub x86_64 0.97-13.10.el5 base 885 k
gtk2 i386 2.10.4-29.el5 base 6.5 M
gtk2 x86_64 2.10.4-29.el5 base 6.6 M
hal i386 0.5.8.1-64.el5 base 396 k
hal x86_64 0.5.8.1-64.el5 base 378 k
httpd x86_64 2.2.3-76.el5.centos updates 1.3 M
hwdata noarch 0.213.28-1.el5 base 438 k
initscripts x86_64 8.45.42-1.el5.centos.1 base 1.6 M
iproute x86_64 2.6.18-15.el5 base 823 k
ipsec-tools x86_64 0.6.5-14.el5_8.5 base 399 k
iptables x86_64 1.3.5-9.2.el5_8 base 247 k
iptables-ipv6 x86_64 1.3.5-9.2.el5_8 base 168 k
iscsi-initiator-utils x86_64 6.2.0.872-16.el5 base 1.0 M
kbd x86_64 1.12-22.el5 base 1.3 M
kernel-headers x86_64 2.6.18-348.1.1.el5 updates 1.5 M
kpartx x86_64 0.4.7-54.el5_9.1 updates 445 k
ksh x86_64 20100621-12.el5 base 1.3 M
kudzu x86_64 1.2.57.1.26-7.el5.centos base 238 k
lftp x86_64 3.7.11-8.el5 base 958 k
libexif x86_64 0.6.21-1.el5_8 base 669 k
libgcc i386 4.1.2-54.el5 base 97 k
libgcc x86_64 4.1.2-54.el5 base 100 k
libgcrypt i386 1.4.4-5.el5_8.2 base 251 k
libgcrypt x86_64 1.4.4-5.el5_8.2 base 233 k
libgfortran x86_64 4.1.2-54.el5 base 245 k
libgomp i386 4.4.7-1.el5 base 74 k
libgomp x86_64 4.4.7-1.el5 base 71 k
libpng i386 2:1.2.10-17.el5_8 base 241 k
libpng x86_64 2:1.2.10-17.el5_8 base 235 k
libpurple i386 2.6.6-11.el5.4 base 8.3 M
libpurple x86_64 2.6.6-11.el5.4 base 8.4 M
libsmbclient x86_64 3.0.33-3.39.el5_8 base 917 k
libstdc++ i386 4.1.2-54.el5 base 363 k
libstdc++ x86_64 4.1.2-54.el5 base 354 k
libstdc++-devel x86_64 4.1.2-54.el5 base 2.8 M
libtiff i386 3.8.2-18.el5_8 updates 310 k
libtiff x86_64 3.8.2-18.el5_8 updates 315 k
libuser x86_64 0.54.7-3.el5 base 452 k
libvolume_id i386 095-14.29.el5 base 44 k
libvolume_id x86_64 095-14.29.el5 base 43 k
libvorbis i386 1:1.1.2-3.el5_7.6 base 192 k
libvorbis x86_64 1:1.1.2-3.el5_7.6 base 208 k
libxml2 i386 2.6.26-2.1.15.el5_8.6 base 798 k
libxml2 x86_64 2.6.26-2.1.15.el5_8.6 base 810 k
libxml2-python x86_64 2.6.26-2.1.15.el5_8.6 base 714 k
libxslt x86_64 1.1.17-4.el5_8.3 base 424 k
linuxwacom x86_64 0.7.8.3-11.2.el5_8 base 248 k
logrotate x86_64 3.7.4-14 base 43 k
logwatch noarch 7.3-10.el5 base 245 k
lvm2 x86_64 2.02.88-10.el5 base 3.3 M
m2crypto x86_64 0.16-9.el5 base 499 k
man x86_64 1.6d-3.el5 base 264 k
man-pages-overrides noarch 5.9.2-2.el5 base 117 k
mdadm x86_64 2.6.9-5.el5 base 875 k
microcode_ctl x86_64 2:1.17-3.el5 base 599 k
mkinitrd i386 5.1.19.6-79.el5 base 482 k
mkinitrd x86_64 5.1.19.6-79.el5 base 470 k
mozldap x86_64 6.0.5-2.el5 base 133 k
nash x86_64 5.1.19.6-79.el5 base 1.1 M
net-snmp-libs x86_64 1:5.3.2.2-20.el5 base 1.3 M
nfs-utils x86_64 1:1.0.9-66.el5 base 408 k
nscd x86_64 2.5-107 base 176 k
nspr i386 4.9.2-2.el5_9 updates 122 k
nspr x86_64 4.9.2-2.el5_9 updates 121 k
nss i386 3.13.6-3.el5_9 updates 1.1 M
nss x86_64 3.13.6-3.el5_9 updates 1.1 M
nss-tools x86_64 3.13.6-3.el5_9 updates 1.1 M
nss_ldap i386 253-51.el5_9.1 updates 1.4 M
nss_ldap x86_64 253-51.el5_9.1 updates 1.4 M
openldap i386 2.3.43-25.el5_8.1 base 298 k
openldap x86_64 2.3.43-25.el5_8.1 base 306 k
openssl i686 0.9.8e-22.el5_8.4 base 1.5 M
openssl x86_64 0.9.8e-22.el5_8.4 base 1.5 M
pam i386 0.99.6.2-12.el5 base 983 k
pam x86_64 0.99.6.2-12.el5 base 982 k
parted i386 1.8.1-30.el5 base 542 k
parted x86_64 1.8.1-30.el5 base 521 k
perl x86_64 4:5.8.8-38.el5_8 base 12 M
pidgin i386 2.6.6-11.el5.4 base 1.5 M
pidgin x86_64 2.6.6-11.el5.4 base 1.5 M
pirut noarch 1.3.28-20.el5.centos base 352 k
pm-utils x86_64 0.99.3-14.el5 base 144 k
popt i386 1.10.2.3-31.el5 base 76 k
popt x86_64 1.10.2.3-31.el5 base 79 k
postgresql-libs i386 8.1.23-6.el5_8 base 197 k
postgresql-libs x86_64 8.1.23-6.el5_8 base 197 k
procps x86_64 3.2.7-22.el5 base 216 k
psmisc x86_64 22.2-11 base 63 k
python x86_64 2.4.3-56.el5 base 60 k
python-iniparse noarch 0.2.3-6.el5 base 34 k
python-libs x86_64 2.4.3-56.el5 base 5.9 M
quota x86_64 1:3.13-8.el5 base 346 k
rp-pppoe x86_64 3.5-33.el5 base 115 k
rpm x86_64 4.4.2.3-31.el5 base 1.2 M
rpm-build x86_64 4.4.2.3-31.el5 base 303 k
rpm-libs x86_64 4.4.2.3-31.el5 base 926 k
rpm-python x86_64 4.4.2.3-31.el5 base 64 k
selinux-policy noarch 2.4.6-338.el5 base 432 k
selinux-policy-devel noarch 2.4.6-338.el5 base 455 k
selinux-policy-targeted noarch 2.4.6-338.el5 base 1.3 M
shadow-utils x86_64 2:4.0.17-21.el5 base 1.1 M
smartmontools x86_64 1:5.42-2.el5 base 517 k
specspo noarch 13-4.el5.centos base 5.9 M
sqlite i386 3.3.6-6 base 213 k
sqlite x86_64 3.3.6-6 base 207 k
strace x86_64 4.5.18-18.el5 base 178 k
subversion i386 1.6.11-10.el5_8 base 3.1 M
subversion x86_64 1.6.11-10.el5_8 base 3.2 M
sudo x86_64 1.7.2p1-22.el5 base 360 k
symlinks x86_64 1.2-26.el5 base 11 k
syslinux x86_64 4.02-7.2.el5 base 1.2 M
system-config-printer x86_64 0.7.32.10-3.el5 base 142 k
system-config-printer-libs x86_64 0.7.32.10-3.el5 base 220 k
systemtap x86_64 1.8-6.el5 base 27 k
systemtap-runtime x86_64 1.8-6.el5 base 227 k
tar x86_64 2:1.15.1-32.el5_8 base 748 k
tcl x86_64 8.4.13-6.el5 base 1.3 M
telnet x86_64 1:0.17-41.el5 base 60 k
tzdata x86_64 2012j-1.el5 updates 793 k
udev x86_64 095-14.29.el5 base 2.4 M
util-linux x86_64 2.13-0.59.el5_8 base 1.9 M
vim-minimal x86_64 2:7.0.109-7.2.el5 base 334 k
wget x86_64 1.11.4-3.el5_8.2 base 583 k
xorg-x11-server-Xnest x86_64 1.1.1-48.100.el5 base 1.4 M
xorg-x11-server-Xorg x86_64 1.1.1-48.100.el5 base 3.4 M
xorg-x11-server-Xvfb x86_64 1.1.1-48.100.el5 base 1.6 M
xulrunner i386 10.0.12-1.el5_9 updates 13 M
xulrunner x86_64 10.0.12-1.el5_9 updates 13 M
yelp x86_64 2.16.0-29.el5_8 base 580 k
yum noarch 3.2.22-40.el5.centos base 1.0 M
yum-metadata-parser x86_64 1.1.2-4.el5 base 25 k
yum-updatesd noarch 1:0.9-5.el5 base 23 k
zlib i386 1.2.3-7.el5 base 51 k
zlib x86_64 1.2.3-7.el5 base 52 k
Installing for dependencies:
systemtap-client x86_64 1.8-6.el5 base 2.3 M
systemtap-devel x86_64 1.8-6.el5 base 2.0 M

Transaction Summary
=====================================================================================================================================================================================================
Install 4 Package(s)
Upgrade 191 Package(s)

Total download size: 325 M

Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID e8562897
base/gpgkey | 1.5 kB 00:00
Importing GPG key 0xE8562897 “CentOS-5 Key (CentOS 5 Official Signing Key) <centos-5-key@centos.org>” from /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test

Updated:
OpenIPMI.x86_64 0:2.0.16-16.el5 OpenIPMI-libs.x86_64 0:2.0.16-16.el5 alsa-utils.x86_64 0:1.0.17-7.el5
aspell-en.x86_64 50:6.0-3 autofs.x86_64 1:5.0.1-0.rc2.177.el5 bind-libs.x86_64 30:9.3.6-20.P1.el5_8.6
bind-utils.x86_64 30:9.3.6-20.P1.el5_8.6 binutils.x86_64 0:2.17.50.0.6-20.el5_8.3 centos-release.x86_64 10:5-9.el5.centos.1
centos-release-notes.x86_64 0:5.9-0 coreutils.x86_64 0:5.97-34.el5_8.1 cpio.x86_64 0:2.6-25.el5
cpp.x86_64 0:4.1.2-54.el5 crash.x86_64 0:5.1.8-2.el5.centos crontabs.noarch 0:1.10-11.el5
cscope.x86_64 0:15.5-20.el5 cvs.x86_64 0:1.11.22-11.el5_8.1 cyrus-sasl.x86_64 0:2.1.22-7.el5_8.1
cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 cyrus-sasl-lib.x86_64 0:2.1.22-7.el5_8.1 cyrus-sasl-md5.x86_64 0:2.1.22-7.el5_8.1
cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 cyrus-sasl-plain.x86_64 0:2.1.22-7.el5_8.1 device-mapper-multipath.x86_64 0:0.4.7-54.el5_9.1
dhclient.x86_64 12:3.0.5-33.el5_9 diffutils.x86_64 0:2.8.1-16.el5 doxygen.x86_64 1:1.4.7-2
e2fsprogs.x86_64 0:1.39-35.el5 e2fsprogs-libs.i386 0:1.39-35.el5 e2fsprogs-libs.x86_64 0:1.39-35.el5
esc.x86_64 0:1.1.0-13.el5_8.2 expat.i386 0:1.95.8-11.el5_8 expat.x86_64 0:1.95.8-11.el5_8
file.x86_64 0:4.17-28 firefox.i386 0:10.0.12-1.el5.centos firefox.x86_64 0:10.0.12-1.el5.centos
freetype.i386 0:2.2.1-32.el5_9.1 freetype.x86_64 0:2.2.1-32.el5_9.1 ftp.x86_64 0:0.17-38.el5
gawk.x86_64 0:3.1.5-16.el5 gcc.x86_64 0:4.1.2-54.el5 gcc-c++.x86_64 0:4.1.2-54.el5
gcc-gfortran.x86_64 0:4.1.2-54.el5 gdb.x86_64 0:7.0.1-45.el5.centos gdbm.x86_64 0:1.8.0-28.el5
ghostscript.x86_64 0:8.70-14.el5_8.1 glibc.i686 0:2.5-107 glibc.x86_64 0:2.5-107
glibc-common.x86_64 0:2.5-107 glibc-devel.x86_64 0:2.5-107 glibc-headers.x86_64 0:2.5-107
gnome-session.x86_64 0:2.16.0-10.el5 gnome-vfs2.i386 0:2.16.2-10.el5 gnome-vfs2.x86_64 0:2.16.2-10.el5
gnome-vfs2-smb.x86_64 0:2.16.2-10.el5 gnutls.i386 0:1.4.1-10.el5 gnutls.x86_64 0:1.4.1-10.el5
grub.x86_64 0:0.97-13.10.el5 gtk2.i386 0:2.10.4-29.el5 gtk2.x86_64 0:2.10.4-29.el5
hal.i386 0:0.5.8.1-64.el5 hal.x86_64 0:0.5.8.1-64.el5 httpd.x86_64 0:2.2.3-76.el5.centos
hwdata.noarch 0:0.213.28-1.el5 initscripts.x86_64 0:8.45.42-1.el5.centos.1 iproute.x86_64 0:2.6.18-15.el5
ipsec-tools.x86_64 0:0.6.5-14.el5_8.5 iptables.x86_64 0:1.3.5-9.2.el5_8 iptables-ipv6.x86_64 0:1.3.5-9.2.el5_8
iscsi-initiator-utils.x86_64 0:6.2.0.872-16.el5 kbd.x86_64 0:1.12-22.el5 kernel-headers.x86_64 0:2.6.18-348.1.1.el5
kpartx.x86_64 0:0.4.7-54.el5_9.1 ksh.x86_64 0:20100621-12.el5 kudzu.x86_64 0:1.2.57.1.26-7.el5.centos
lftp.x86_64 0:3.7.11-8.el5 libexif.x86_64 0:0.6.21-1.el5_8 libgcc.i386 0:4.1.2-54.el5
libgcc.x86_64 0:4.1.2-54.el5 libgcrypt.i386 0:1.4.4-5.el5_8.2 libgcrypt.x86_64 0:1.4.4-5.el5_8.2
libgfortran.x86_64 0:4.1.2-54.el5 libgomp.i386 0:4.4.7-1.el5 libgomp.x86_64 0:4.4.7-1.el5
libpng.i386 2:1.2.10-17.el5_8 libpng.x86_64 2:1.2.10-17.el5_8 libpurple.i386 0:2.6.6-11.el5.4
libpurple.x86_64 0:2.6.6-11.el5.4 libsmbclient.x86_64 0:3.0.33-3.39.el5_8 libstdc++.i386 0:4.1.2-54.el5
libstdc++.x86_64 0:4.1.2-54.el5 libstdc++-devel.x86_64 0:4.1.2-54.el5 libtiff.i386 0:3.8.2-18.el5_8
libtiff.x86_64 0:3.8.2-18.el5_8 libuser.x86_64 0:0.54.7-3.el5 libvolume_id.i386 0:095-14.29.el5
libvolume_id.x86_64 0:095-14.29.el5 libvorbis.i386 1:1.1.2-3.el5_7.6 libvorbis.x86_64 1:1.1.2-3.el5_7.6
libxml2.i386 0:2.6.26-2.1.15.el5_8.6 libxml2.x86_64 0:2.6.26-2.1.15.el5_8.6 libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.6
libxslt.x86_64 0:1.1.17-4.el5_8.3 linuxwacom.x86_64 0:0.7.8.3-11.2.el5_8 logrotate.x86_64 0:3.7.4-14
logwatch.noarch 0:7.3-10.el5 lvm2.x86_64 0:2.02.88-10.el5 m2crypto.x86_64 0:0.16-9.el5
man.x86_64 0:1.6d-3.el5 man-pages-overrides.noarch 0:5.9.2-2.el5 mdadm.x86_64 0:2.6.9-5.el5
microcode_ctl.x86_64 2:1.17-3.el5 mkinitrd.i386 0:5.1.19.6-79.el5 mkinitrd.x86_64 0:5.1.19.6-79.el5
mozldap.x86_64 0:6.0.5-2.el5 nash.x86_64 0:5.1.19.6-79.el5 net-snmp-libs.x86_64 1:5.3.2.2-20.el5
nfs-utils.x86_64 1:1.0.9-66.el5 nscd.x86_64 0:2.5-107 nspr.i386 0:4.9.2-2.el5_9
nspr.x86_64 0:4.9.2-2.el5_9 nss.i386 0:3.13.6-3.el5_9 nss.x86_64 0:3.13.6-3.el5_9
nss-tools.x86_64 0:3.13.6-3.el5_9 nss_ldap.i386 0:253-51.el5_9.1 nss_ldap.x86_64 0:253-51.el5_9.1
openldap.i386 0:2.3.43-25.el5_8.1 openldap.x86_64 0:2.3.43-25.el5_8.1 openssl.i686 0:0.9.8e-22.el5_8.4
openssl.x86_64 0:0.9.8e-22.el5_8.4 pam.i386 0:0.99.6.2-12.el5 pam.x86_64 0:0.99.6.2-12.el5
parted.i386 0:1.8.1-30.el5 parted.x86_64 0:1.8.1-30.el5 perl.x86_64 4:5.8.8-38.el5_8
pidgin.i386 0:2.6.6-11.el5.4 pidgin.x86_64 0:2.6.6-11.el5.4 pirut.noarch 0:1.3.28-20.el5.centos
pm-utils.x86_64 0:0.99.3-14.el5 popt.i386 0:1.10.2.3-31.el5 popt.x86_64 0:1.10.2.3-31.el5
postgresql-libs.i386 0:8.1.23-6.el5_8 postgresql-libs.x86_64 0:8.1.23-6.el5_8 procps.x86_64 0:3.2.7-22.el5
psmisc.x86_64 0:22.2-11 python.x86_64 0:2.4.3-56.el5 python-iniparse.noarch 0:0.2.3-6.el5
python-libs.x86_64 0:2.4.3-56.el5 quota.x86_64 1:3.13-8.el5 rp-pppoe.x86_64 0:3.5-33.el5
rpm.x86_64 0:4.4.2.3-31.el5 rpm-build.x86_64 0:4.4.2.3-31.el5 rpm-libs.x86_64 0:4.4.2.3-31.el5
rpm-python.x86_64 0:4.4.2.3-31.el5 selinux-policy.noarch 0:2.4.6-338.el5 selinux-policy-devel.noarch 0:2.4.6-338.el5
selinux-policy-targeted.noarch 0:2.4.6-338.el5 shadow-utils.x86_64 2:4.0.17-21.el5 smartmontools.x86_64 1:5.42-2.el5
specspo.noarch 0:13-4.el5.centos sqlite.i386 0:3.3.6-6 sqlite.x86_64 0:3.3.6-6
strace.x86_64 0:4.5.18-18.el5 subversion.i386 0:1.6.11-10.el5_8 subversion.x86_64 0:1.6.11-10.el5_8
sudo.x86_64 0:1.7.2p1-22.el5 symlinks.x86_64 0:1.2-26.el5 syslinux.x86_64 0:4.02-7.2.el5
system-config-printer.x86_64 0:0.7.32.10-3.el5 system-config-printer-libs.x86_64 0:0.7.32.10-3.el5 systemtap.x86_64 0:1.8-6.el5
systemtap-runtime.x86_64 0:1.8-6.el5 tar.x86_64 2:1.15.1-32.el5_8 tcl.x86_64 0:8.4.13-6.el5
telnet.x86_64 1:0.17-41.el5 tzdata.x86_64 0:2012j-1.el5 udev.x86_64 0:095-14.29.el5
util-linux.x86_64 0:2.13-0.59.el5_8 vim-minimal.x86_64 2:7.0.109-7.2.el5 wget.x86_64 0:1.11.4-3.el5_8.2
xorg-x11-server-Xnest.x86_64 0:1.1.1-48.100.el5 xorg-x11-server-Xorg.x86_64 0:1.1.1-48.100.el5 xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.100.el5
xulrunner.i386 0:10.0.12-1.el5_9 xulrunner.x86_64 0:10.0.12-1.el5_9 yelp.x86_64 0:2.16.0-29.el5_8
yum.noarch 0:3.2.22-40.el5.centos yum-metadata-parser.x86_64 0:1.1.2-4.el5 yum-updatesd.noarch 1:0.9-5.el5
zlib.i386 0:1.2.3-7.el5 zlib.x86_64 0:1.2.3-7.el5

Complete!
[root@localhost ~]#

3. Check version after updating

[root@localhost ~]# cat /etc/redhat-release
CentOS release 5.9 (Final)
[root@localhost ~]#

That’s all. Thanks for using IThelpblog.com.

 

 

Leave a reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>